Subject: Re: [bug#64958] [PATCH] gnu: Add emacs-chatgpt-shell.

From: Cayetano Santos <[email-masked]>
Date: Mon, 31 Jul 2023 09:13:24 +0200

>dim. 30 juil. 2023 at 22:51, Wojtek Kosior <[email-masked]> wrote:

> [[PGP Signed Part:Undecided]]
> Hi!
>
>> * gnu/packages/emacs-xyz.scm (emacs-chatgpt-shell): New variable.
>
> Doesn't this package effectively recommend a nonfree
> service-as-a-software-substitute? It'd be better to keep users away
> from such "services". Also, sorry to say, I'm pretty sure this is
> against the Free Software Distribution Guidelines

You’re completely right, I completely forgot about this point.

I noticed that we already provide emacs-gptel, with similar concerns.

Cayetano